#
# spec file for package python-mediafile
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-mediafile
Version:        0.11.0
Release:        2.3
Summary:        Handles low-level interfacing for files' tags Wraps Mutagen to
License:        MIT
URL:            https://github.com/beetbox/mediafile
Source:         https://files.pythonhosted.org/packages/source/m/mediafile/mediafile-%{version}.tar.gz
# https://github.com/beetbox/mediafile/issues/68
Patch0:         python-mediafile-pyupgrade.patch
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module flit-core >= 2}
BuildRequires:  %{python_module mutagen >= 1.45}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-mutagen >= 1.45
BuildArch:      noarch
%python_subpackages

%description
Handles low-level interfacing for files' tags. Wraps Mutagen to

%prep
%autosetup -p1 -n mediafile-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/mediafile.py
%{python_sitelib}/mediafile-%{version}*-info/
%{python_sitelib}/__pycache__/mediafile*

%changelog
* Tue Apr 25 2023 pgajdos@suse.com
- drop python 2 support
- added patches
  fix https://github.com/beetbox/mediafile/issues/68
  + python-mediafile-pyupgrade.patch
* Mon Jan  2 2023 Dirk Müller <dmueller@suse.com>
- update to 0.11.0:
  * List-valued properties now return None instead of an empty list when the
    underlying tags are missing altogether.
  * Fix a test failure that arose with Mutagen 1.46.
  * Require Python 3.7 or later.
* Fri Oct 28 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.10.0
  * Add the multiple-valued properties albumtypes, catalognums and languages.
  * The catalognum property now refers to additional file tags named CATALOGID and DISCOGS_CATALOG (but only for reading, not writing).
  * The multi-valued albumartists property now refers to additional file tags named ALBUM_ARTIST and ALBUM ARTISTS. (The latter is used only for reading.)
  * The ListMediaField class now doesn’t concatenate multiple lists if found. The first available tag is used instead, like with other kinds of fields.
* Sat Feb 12 2022 Matej Cepl <mcepl@suse.com>
- Clean up the SPEC file a little bit.
* Thu Feb 10 2022 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Create package for version 0.9.0
